#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>

#include "mainwindow.h"

int main (int argc, char *argv[])
{
   KAboutData aboutData(
      // The program name used internally.
      "ttg",
      // The message catalog name
      // If null, program name is used instead.
      0,
      // A displayable program name string.
      ki18n("The Test Gui"),
      // The program version string.
      "1.0",
      // Short description of what the app does.
      ki18n("Displays a KMessageBox popup"),
      // The license this code is released under
      KAboutData::License_GPL,
      // Copyright Statement
      ki18n("(c) 2008"),
      // Optional text shown in the About box.
      // Can contain any information desired.
      ki18n("Test aspects of the service communications libraries"),
      // The program homepage string.
      "http://newnewyork.net/",
      // The bug report email address
      "submit@bugs.kde.org"
   );
   
   KCmdLineArgs::init( argc, argv, &aboutData );
   KApplication app;
   
   MainWindow* mainWindow = new MainWindow();
   mainWindow->show();
   
   return app.exec();
}